FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Redhat > Fedora Development

 
 
LinkBack Thread Tools
 
Old 03-18-2010, 01:05 PM
Paul Howarth
 
Default libpng: Multilib update conflict

On 18/03/10 13:27, Till Maas wrote:
> Hiyas,
>
> there is a -1 karma comment claiming that libpng is broken, because the
> new x86_64 package conflicts with the old i686 package:
>
> https://admin.fedoraproject.org/updates/libpng-1.2.43-1.fc12
> | file /usr/share/man/man5/png.5.gz from install of
> | libpng-2:1.2.43-1.fc12.i686 conflicts with file from package
> | libpng-2:1.2.42-1.fc12.x86_64
>
> What is wrong there? The png.5.gz file has the same md5 in both arch
> packages for each version, which is afaik the only issue that might
> create multilib conflicts.

Don't know why this creates a conflict, but why isn't
libpng-2:1.2.42-1.fc12.x86_64 being updated to
libpng-2:1.2.43-1.fc12.x86_64 at the same time as the i686 update?

Paul.
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-18-2010, 01:18 PM
Till Maas
 
Default libpng: Multilib update conflict

On Thu, Mar 18, 2010 at 02:05:29PM +0000, Paul Howarth wrote:
> On 18/03/10 13:27, Till Maas wrote:
> > Hiyas,
> >
> > there is a -1 karma comment claiming that libpng is broken, because the
> > new x86_64 package conflicts with the old i686 package:
> >
> > https://admin.fedoraproject.org/updates/libpng-1.2.43-1.fc12
> > | file /usr/share/man/man5/png.5.gz from install of
> > | libpng-2:1.2.43-1.fc12.i686 conflicts with file from package
> > | libpng-2:1.2.42-1.fc12.x86_64
> >
> > What is wrong there? The png.5.gz file has the same md5 in both arch
> > packages for each version, which is afaik the only issue that might
> > create multilib conflicts.
>
> Don't know why this creates a conflict, but why isn't
> libpng-2:1.2.42-1.fc12.x86_64 being updated to
> libpng-2:1.2.43-1.fc12.x86_64 at the same time as the i686 update?

For an unknown reason the x86_64 is already updated.
I recommended to run "package-cleanup --cleandupes" to remove the old
x86_64 package or to try yum-complete-transaction, maybe this will clean
it up.

Regards
Till
--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 
Old 03-20-2010, 05:51 AM
Kevin Kofler
 
Default libpng: Multilib update conflict

Till Maas wrote:
> there is a -1 karma comment claiming that libpng is broken, because the
> new x86_64 package conflicts with the old i686 package:

That's one of those many invalid -1 comments (and yet another reason why
karma is broken). You cannot mix different builds of the same package for
different multilib arches, it will always result in such file conflicts.
This is completely normal and you are not expected to fix this. The user
should be upgrading both arches of the package at the same time (or removing
the 32-bit multilib if it's not needed).

Kevin Kofler

--
devel mailing list
devel@lists.fedoraproject.org
https://admin.fedoraproject.org/mailman/listinfo/devel
 

Thread Tools




All times are GMT. The time now is 11:04 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org